## org.biojava.bio.seq.projection
Class ProjectionEngine

    java.lang.Object
      org.biojava.bio.seq.projection.ProjectionEngine

public class ProjectionEngine
extends java.lang.Object

Factory for proxy objects which project BioJava features into alternate coordinate systems. This class binds together a feature and a `ProjectionContext` object, and returns the resulting projected feature. New feature-projection wrapper classes are generated automatically as they are required.

Since:
  1.2
Author:
  Thomas Down

Nested Class Summary
`static interface` `ProjectionEngine.Instantiator` Internal helper class.
`static class` `ProjectionEngine.InstantiatorImpl` Internal helper class.

Field Summary
`static ProjectionEngine` `DEFAULT` The standard projection engine object.

Method Summary
`Feature` `projectFeature(Feature f, ProjectionContext ctx)` Return a projection of Feature `f` into the system defined by a given ProjectionContext.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT

    public static final ProjectionEngine DEFAULT

  The standard projection engine object.

Method Detail

### projectFeature

    public Feature projectFeature(Feature f,
                                  ProjectionContext ctx)

  Return a projection of Feature `f` into the system defined by a given ProjectionContext. The returned object will implement the same Feature interface (sub-interface of `Feature` as the underlying feature, and will also implement the `Projection` interface.